FROM gitlab-registry.cern.ch/linuxsupport/cs8-base:latest

COPY linuxsupport8s-stable.repo /etc/yum.repos.d/

RUN dnf install -y epel-release \
    && dnf install -y dnf-utils swaks gettext createrepo git jq file diffutils sqlite aims2client
COPY *.sh *.lst /root/
COPY templates/ /root/templates/

WORKDIR /root

ENTRYPOINT ["/root/main.sh"]
